Create Quote
Authorizations
Api-KeystringRequired
Path parameters
customer_idstring · uuidRequired
The unique identifier of the customer
Header parameters
Idempotency-KeystringRequired
Unique key to prevent duplicate requests
Body
Either source_amount OR destination_amount must be provided to calculate the quote in the desired direction
or
Responses
201
Quote created successfully
application/json
quote_idstring · uuidRequired
source_amountstringRequiredExample:
100.50Pattern: ^[0-9]+(\.[0-9]+)?$source_tokenstringRequiredExample:
usdcsource_networkstringRequiredExample:
ethereumdestination_currencystring · enumRequiredPossible values:
destination_payment_railsstringRequired
destination_amountstringRequiredExample:
100.50Pattern: ^[0-9]+(\.[0-9]+)?$fee_amountstringOptionalExample:
10.50exchange_ratestringRequiredPattern:
^[0-9]+(\.[0-9]+)?$expire_atstring · date-timeRequiredExample:
UTC timestamp after which the quote can no longer be used to create a transfer
2026-06-24T12:05:00.000Zpost/v0/customers/{customer_id}/offramp-transfer/quote
POST /v0/customers/{customer_id}/offramp-transfer/quote HTTP/1.1
Host: api.alignlabs.dev
Api-Key: YOUR_API_KEY
Idempotency-Key: text
Content-Type: application/json
Accept: */*
Content-Length: 166
{
"source_amount": "text",
"source_token": "usdc",
"source_network": "polygon",
"destination_currency": "usd",
"destination_payment_rails": "ach",
"developer_fee_percent": "0.5"
}201
Quote created successfully
{
"quote_id": "123e4567-e89b-12d3-a456-426614174000",
"source_amount": "100.50",
"source_token": "usdc",
"source_network": "ethereum",
"destination_currency": "usd",
"destination_payment_rails": "text",
"destination_amount": "100.50",
"fee_amount": "10.50",
"exchange_rate": "text",
"expire_at": "2026-06-24T12:05:00.000Z"
}Last updated
